﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp21
{
    /// <summary>
    /// Trida definujici obecne udaje o zviteti
    /// </summary>
    class Zvire
    {
        #region Promenne
        /// <summary>
        /// Jmeno zvirete
        /// </summary>
        private string Jmeno;
        /// <summary>
        /// Vek zvirete
        /// </summary>
        protected int Vek;
        #endregion

        #region Konstruktory
        public Zvire(string j, int v)
        {
            Jmeno = j;
            Vek = v;
        }

        public Zvire()
        {

        }
        #endregion

        #region Metody
        /// <summary>
        /// Vypise informace o zvireti
        /// </summary>
        public void Vypis()
        {
            Console.WriteLine(Jmeno + " " + Vek);
        }

        #region Vek
        /// <summary>
        /// Nastavi vek zvirete
        /// </summary>
        /// <param name="v">vek zvirete</param>
        public void NastavVek(int v)
        {
            if (v >= 0 && v <= 300)
            {
                Vek = v;
            }
        }

        /// <summary>
        /// Vraci vek zvirete
        /// </summary>
        /// <returns>vek</returns>
        public int VratVek()
        {
            return Vek;
        }
        #endregion

        #region Jmeno
        public void NastavJmeno(string j)
        {
            if (j.Length >= 3 && j.Length <= 20)
            {
                Jmeno = j.Substring(0,1).ToUpper() + j.Substring(1).ToLower();
            }
        }

        public string VratJmeno()
        {
            return Jmeno;
        }
        #endregion

        #endregion
    }
}
